#include <g2.h>
#include <iostream>
#include <fstream>
#include <vector>
using namespace std;

/*
#define PAPERSIZE g2_A5
#define MAX_PX 400
#define MAX_PY 350
#define EDGE 30
#define MOD1 15 //for non symetric X edge
#define MOD2 30 //for note area in Y
#define TE 10
*/
// BEGIN code
#define PAPERSIZE g2_A4
#define MAX_PX 800
#define MAX_PY 600
#define EDGE 60
#define MOD1 15 //for non symetric X edge
#define MOD2 30 //for note area in Y
#define TE 25   //modification

struct Point{
double x;
double y;
};

void plottingCurve(vector<Point> vector, int id,double coeff_ax,double coeff_ay,
		   double coeff_bx,double coeff_by);
void valuesComparing(double& max_x, double& min_x,double& max_y ,double& min_y,double max_x1, 
		     double min_x1,double max_y1 ,double min_y1);
void extremeValues(double& max_x, double& min_x,double& max_y ,double& min_y,
		   const vector<Point> vector1,const vector<Point> vector2);
void coefficient(double& coeff_ax, double& coeff_bx,double& coeff_ay ,double& coeff_by,
		 double max_x,double min_x,double max_y,double min_y);
void drawRectangle(int id,double max_x,double min_x,double max_y,double min_y);
void defineColors(int id,vector<int> &color);

void getPointVector(vector< vector<Point> > &pointVectors,
		    const vector< vector<double> > yvectors,const vector<double> xvector);
void readVector(vector<double> & approximationVector,
		vector<double> &MValues,ifstream &result,int length);
void vectorPlotting(const double exactValue,
		    const vector < vector<Point> > vectors,char *names[],int style);
//interface
void vectorPlotting(const vector< vector<Point> > vectors,char *names[]);
void vectorPlotting(const double exactValue,const vector < vector<Point> > vectors,char *names[]);
void vectorPlotting(const vector < vector<double> > yvectors,
		    const vector<double> xvector,char *names[]);
void vectorPlotting(const double exactValue,const vector < vector<double> > yvectors,
		    const vector<double> xvector,char *names[]);
// END code
