//portfolio.h

#ifndef PORTFOLIO_H
#define PORTFOLIO_H

#include "stock.h"
#include "option.h"

#include <vector>
using namespace std;
// BEGIN code1
class Portfolio{
 public:
  vector<EuCall> ecs;
  vector<EuPut> eps;
  
  Portfolio(vector<EuCall> theEcs,vector<EuPut> theEps);
  Portfolio();

  vector<double> sampleBSPortfolio(Path path);
  vector<double> sampleHoldingPortfolio(Path path);
  vector<double> sampleHHPayoff(Path path,int j_H,int R);
};
// END code1
#endif
