//falgorithm.h
#ifndef FALGORITHM_H
#define FALGORITHM_H

#include <vector>
#include <cmath>
using namespace std;

// BEGIN code
double cumulative(double z);
double inverseCumulative(double u);
vector<double> partitiate(int J_H);
int getIndex(vector<double> spots,double value);
vector<double> matrixProduct(vector<double> rp1,vector<double> rp2);

struct indexItem
{
  double item;
  int index;
};
vector<indexItem> getIndexItems(vector<double> vector1);
vector<indexItem> mergeSort(vector<indexItem>  vectorCompress);

vector<indexItem> merge( vector<indexItem> vector1, vector<indexItem>  vector2);
void reorderVector(vector<double> &vector1,vector<int> indexes);
vector<int> sortVector(vector<double> &vector1);
void sortVectors(vector<double> &vector0,vector<double> &vector1);
void sortVectors(vector<double> &vector0,vector<double> &vector1, vector<double> &vector2);
void sortVectors(vector<double> &vector0,vector<double> &vector1, vector<double> &vector2,
		 vector<double> &vector3);
void sortVectors(vector<double> &vector0,vector<double> &vector1, vector<double> &vector2,
		 vector<double> &vector3,vector<double> &vector4);
// END code
#endif
